aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-10 17:20:10 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-13 08:43:44 +0000
commit27bb3d867fda1571914236130cbe0687417e6209 (patch)
treeb06ce319d97367dc7f61b22096d54677af54f570
parent414829b971404fda6dde167326fb58088d7703ef (diff)
downloadaports-27bb3d867fda1571914236130cbe0687417e6209.tar.gz
aports-27bb3d867fda1571914236130cbe0687417e6209.tar.bz2
aports-27bb3d867fda1571914236130cbe0687417e6209.tar.xz
extra/b43-fwcutter: new aport
Tool to extract firmware from Broadcom drivers http://linuxwireless.org/en/users/Drivers/b43
-rw-r--r--extra/b43-fwcutter/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/extra/b43-fwcutter/APKBUILD b/extra/b43-fwcutter/APKBUILD
new file mode 100644
index 0000000000..0a7f4cc6a4
--- /dev/null
+++ b/extra/b43-fwcutter/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=b43-fwcutter
+pkgver=012
+pkgrel=0
+pkgdesc="Tool to extract firmware from Broadcom drivers"
+url="http://linuxwireless.org/en/users/Drivers/b43"
+license="GPL"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://bu3sch.de/b43/fwcutter/b43-fwcutter-012.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make || return 1
+ make PREFIX="$pkgdir"/usr install
+ mkdir -p "$pkgdir"/usr/share/
+ mv "$pkgdir"/usr/man "$pkgdir"/usr/share/
+}
+
+md5sums="69eadf67b459f313a8d6b37aaabef96c b43-fwcutter-012.tar.bz2"